﻿@model IEnumerable<RestoAPI.Models.Ext.OrderDetailWithStatus>
@{
    ViewData["Title"] = "Cook";
}
@functions{
    string GetColor(RestoAPI.Models.DB.OrderDetailStatus.StatusType type)
    {
        var color = "secondary";
        switch (type)
        {
            case RestoAPI.Models.DB.OrderDetailStatus.StatusType.Queue:
                color = "";
                break;
            case RestoAPI.Models.DB.OrderDetailStatus.StatusType.Progress:
                color = "primary";
                break;
            case RestoAPI.Models.DB.OrderDetailStatus.StatusType.Delivered:
                color = "success";
                break;
            case RestoAPI.Models.DB.OrderDetailStatus.StatusType.Canceled:
                color = "danger";
                break;
        }

        return color;
    }
}
@section Styles{
    <style>
        .card .tempat-tombol {
            min-height: 30px;
            position: relative;
        }
        .card .tempat-tombol label{
            position: absolute;
            right: 20px;
        }
    </style>
}

<h1>Cooking Order <span style="white-space:nowrap"><span class="btn btn-secondary">Queue</span> &gt; <span class="btn btn-primary">Processed</span> &gt; <span class="btn btn-success">Delivered</span> &gt; <span class="btn btn-danger">Canceled</span></span></h1>

<br/>

<div class="animated fadeIn">
    <div class="row">
        @foreach (var item in Model)
        {
            var nextStatus = (int)item.LastStatus + 1;
            <div class="col-xs-4 col-sm-4 col-md-3">
                <div class="card @(item.LastStatus != RestoAPI.Models.DB.OrderDetailStatus.StatusType.Queue ? "card-inverse" : "") card-@GetColor(item.LastStatus)">
                    <div class="card-block">
                        <div class="h4 m-a-0">@item.Menu</div>
                        <div class="p-b-1">@item.TableName</div>
                        <hr />
                        <small>@item.Note</small>
                        <hr />
                        <div class="tempat-tombol">
                            <small>@item.LastStatusTime.ToString("HH':'mm")</small>
                            @if (item.LastStatus != RestoAPI.Models.DB.OrderDetailStatus.StatusType.Canceled && item.LastStatus != RestoAPI.Models.DB.OrderDetailStatus.StatusType.Delivered)
                            {
                                <label class="switch switch-icon switch-@GetColor(item.LastStatus + 1)">
                                    <input type="checkbox" class="switch-input" onchange="submit(@item.OrderId, @item.Id, @nextStatus)" @(nextStatus > 2 ? "disabled" : "")>
                                    <span class="switch-label" data-on="&#xF00C;" data-off="&#xF00D;"></span>
                                    <span class="switch-handle"></span>
                                </label>
                            }
                        </div>
                        @if (item.LastStatus == RestoAPI.Models.DB.OrderDetailStatus.StatusType.Queue)
                        {
                            <hr/>
                            <div class="tempat-tombol">
                                <small>Cancel</small>
                                <label class="switch switch-icon switch-danger">
                                    <input type="checkbox" class="switch-input" onchange="submit(@item.OrderId, @item.Id, 3)">
                                    <span class="switch-label" data-on="&#xF00C;" data-off="&#xF00D;"></span>
                                    <span class="switch-handle"></span>
                                </label>
                            </div>
                        }
                    </div>
                </div>
            </div>
        }
    </div>
</div>

@section Scripts{
    <script>
        function submit(id, detailid, status) {
            $(".big-loading").show();
            $.ajax({
                url: "/Cook/UpdateStatus/" + id + "?detailid=" + detailid + "&status=" + status
            }).done(function (data) {
                location.reload();
            });
        }
        setInterval(function () {
            $(".big-loading").show();
            location.reload();
        }, 15000)
    </script>
}